Bug 209665 - NullPointerException at org.netbeans.modules.bugtracking.spi.BugtrackingFactory.getIssueImpl
NullPointerException at org.netbeans.modules.bugtracking.spi.BugtrackingFacto...
Status: VERIFIED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Issuetracking Framework
7.2
All All
: P3 (vote)
: TBD
Assigned To: Tomas Stupka
issues@connecteddeveloper
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 14:50 UTC by Tomas Stupka
Modified: 2012-03-22 10:31 UTC (History)
8 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.66 KB, text/plain)
2012-03-16 14:50 UTC, Tomas Stupka
Details
stacktrace (1.74 KB, text/plain)
2012-03-19 08:41 UTC, schkovich
Details
stacktrace (1.74 KB, text/plain)
2012-03-19 14:26 UTC, KhArtNJava
Details
stacktrace (1.66 KB, text/plain)
2012-03-19 15:47 UTC, mrpc
Details
stacktrace (1.75 KB, text/plain)
2012-03-20 14:13 UTC, J Bachorik
Details
stacktrace (1.36 KB, text/plain)
2012-03-20 14:40 UTC, Vojtech Sigler
Details
stacktrace (1.75 KB, text/plain)
2012-03-20 17:13 UTC, Kenneth Ganfield
Details
stacktrace (2.43 KB, text/plain)
2012-03-22 10:31 UTC, Jaroslav Tulach
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2012-03-16 14:50:46 UTC
Build: NetBeans IDE Dev (Build 20120316-676a39eb1576)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.4-b02-402, Java(TM) SE Runtime Environment, 1.6.0_29-b11-402-10M3527
OS: Mac OS X

Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.bugtracking.spi.BugtrackingFactory.getIssueImpl(BugtrackingFactory.java:127)
   at org.netbeans.modules.bugtracking.spi.BugtrackingFactory.getUndoRedoSupport(BugtrackingFactory.java:108)
   at org.netbeans.modules.bugzilla.Bugzilla.getUndoRedoSupport(Bugzilla.java:167)
   at org.netbeans.modules.bugzilla.issue.IssuePanel.opened(IssuePanel.java:3040)
   at org.netbeans.modules.bugzilla.issue.IssueController.opened(IssueController.java:87)
   at org.netbeans.modules.bugtracking.ui.issue.IssueTopComponent$5$1.run(IssueTopComponent.java:364)
Comment 1 Tomas Stupka 2012-03-16 14:50:47 UTC
Created attachment 116801 [details]
stacktrace
Comment 2 schkovich 2012-03-19 08:41:15 UTC
Created attachment 116849 [details]
stacktrace

Opening bug 209128 in the IDE
Comment 3 Tomas Stupka 2012-03-19 09:38:12 UTC
fixed in core-main#d753c2aedd99
Comment 4 Exceptions Reporter 2012-03-19 12:17:17 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=185945
Comment 5 KhArtNJava 2012-03-19 14:26:16 UTC
Created attachment 116864 [details]
stacktrace
Comment 6 mrpc 2012-03-19 15:47:16 UTC
Created attachment 116873 [details]
stacktrace
Comment 7 Quality Engineering 2012-03-20 12:54:51 UTC
Integrated into 'main-golden', will be available in build *201203200400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d753c2aedd99
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #209665 - NullPointerException at org.netbeans.modules.bugtracking.spi.BugtrackingFactory.getIssueImpl
Comment 8 J Bachorik 2012-03-20 14:13:12 UTC
Created attachment 116926 [details]
stacktrace

Opening an issue link from mercurial history
Comment 9 Exceptions Reporter 2012-03-20 14:13:24 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=185945
Comment 10 Vojtech Sigler 2012-03-20 14:40:14 UTC
Created attachment 116932 [details]
stacktrace

Clicked on an issue in the exception reporter window and displayed it in NetBeans. The exception fired when the tab with the issue opened.
Comment 11 Kenneth Ganfield 2012-03-20 17:13:16 UTC
Created attachment 116939 [details]
stacktrace

clicking link in exception reporter
Comment 12 schkovich 2012-03-20 20:54:08 UTC
Verified using Build 201203200400
Product Version: NetBeans IDE Dev (Build 201203200400)
Java: 1.7.0; Java HotSpot(TM) 64-Bit Server VM 21.0-b17
System: Linux version 3.0.0-16-generic running on amd64; UTF-8; en_US (nb)
Comment 13 Jaroslav Tulach 2012-03-22 10:31:16 UTC
Created attachment 117062 [details]
stacktrace


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo